package com.zaojiao.app

import android.app.Application
import com.zaojiao.app.ui.login.LoginActivity
import com.zaojiao.http.di.HttpModule
import dagger.Component
import javax.inject.Singleton

class LJGApplication : Application() {
    companion object {
        val applicationComponent: ApplicationComponent = DaggerApplicationComponent.create()
    }

    override fun onCreate() {
        super.onCreate()
    }
}

@Singleton
@Component(modules = [HttpModule::class])
interface ApplicationComponent {
    fun inject(activity: LoginActivity)
}