package com.zaojiao.app.ui.home

import android.os.Bundle
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import androidx.compose.foundation.lazy.LazyColumn
import androidx.compose.ui.Modifier
import androidx.compose.ui.platform.ComposeView
import androidx.fragment.app.Fragment
import com.zaojiao.app.R
import com.zaojiao.app.ui.home.main.HomeMainSlider
import com.zaojiao.app.ui.home.main.HomeMainTopBar

class HomeMainFragment : Fragment() {
    override fun onCreateView(
        inflater: LayoutInflater,
        container: ViewGroup?,
        savedInstanceState: Bundle?
    ): View? {
        return inflater.inflate(R.layout.fragment_compose, container, false)
    }

    override fun onViewCreated(view: View, savedInstanceState: Bundle?) {
        super.onViewCreated(view, savedInstanceState)
        if (view is ComposeView) {
            view.setContent {
                LazyColumn(
                    modifier = Modifier
                ) {
                    item {
                        HomeMainTopBar()
                    }

                    item {
                        HomeMainSlider()
                    }
                }
            }
        }
    }
}