package com.zaojiao.app.ui.login

import android.os.Bundle
import android.util.Log
import androidx.appcompat.app.AppCompatActivity
import com.zaojiao.app.LJGApplication
import okhttp3.OkHttpClient
import javax.inject.Inject

class LoginActivity : AppCompatActivity() {
    @Inject
    lateinit var loginViewModel: LoginViewModel

    @Inject
    lateinit var okHttpClient: OkHttpClient

    @Inject
    lateinit var okHttpClient2: OkHttpClient

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        LJGApplication.applicationComponent.inject(this)

        Log.d("LoginActivity", "okHttpClient  is ${okHttpClient.hashCode()}")
        Log.d("LoginActivity", "okHttpClient2 is ${okHttpClient2.hashCode()}")
    }
}